Package rdkit :: Package ML :: Package Cluster :: Module ClusterVis :: Class VisOpts

[hide private]
[frames] | no frames]

# Class VisOpts

source code

    object --+
             |
            VisOpts

    stores visualization options for cluster viewing

    **Instance variables**

      - x/yOffset: amount by which the drawing is offset from the edges of the canvas

      - lineColor: default color for drawing the cluster tree

      - lineWidth: the width of the lines used to draw the tree

Instance Methods | [hide private]

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables | [hide private]

| xOffset = `20`
| yOffset = `20`
| lineColor = `piddle.Color(0, 0, 0)`
| hideColor = `piddle.Color(.8,.8,.8)`
| terminalColors = `[piddle.Color(1, 0, 0), piddle.Color(0, 0, 1)`...``
| lineWidth = `2`
| hideWidth = `1.1`
| nodeRad = `15`
| nodeColor = `piddle.Color(1.,.4,.4)`
| highlightColor = `piddle.Color(1., 1.,.4)`
| highlightRad = `10`

Properties | [hide private]

Inherited from `object`: `__class__`

Class Variable Details | [hide private]

### terminalColors

Value:

      [piddle.Color(1, 0, 0), piddle.Color(0, 0, 1), piddle.Color(1, 1, 0),
      piddle.Color(0,.5,.5), piddle.Color(0,.8, 0), piddle.Color(.5,.5,.5),
      piddle.Color(.8,.3,.3), piddle.Color(.3,.3,.8), piddle.Color(.8,.8,.3)
      , piddle.Color(.3,.8,.8)]